org.eclipse.actf.util.win32

## Class NativeStringAccess

- java.lang.Object
- - org.eclipse.actf.util.win32.NativeStringAccess

    public class NativeStringAccess
    extends Object

Utility class to access native String

### Constructor Summary

Constructors
Constructor and Description
`NativeStringAccess()` Constructor of the class

### Method Summary

Methods
`void` `dispose()` Dispose the object
`int` `getAddress()`
`String` `getString()`
`void` `setString(String text)` Set native String value

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NativeStringAccess

    public NativeStringAccess()

Constructor of the class

### Method Detail

#### dispose

    public void dispose()

Dispose the object

#### getAddress

    public int getAddress()

Returns:
  native address

#### getString

    public String getString()

Returns:
  string value

#### setString

    public void setString(String text)

Set native String value

Parameters:
  `text` -